Bug 1292360 - mem leak when pthread is not detached [NEEDINFO]
Summary: mem leak when pthread is not detached
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: All
OS: All
medium
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-17 08:19 UTC by Yu.Changcai
Modified: 2020-09-02 02:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-07 16:23:43 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
nbalacha: needinfo? (einstcrazy)


Attachments (Terms of Use)

Description Yu.Changcai 2015-12-17 08:19:57 UTC
Description of problem:
gluster use pthread_create in some where with default attribute, which means the attr is PTHREAD_CREATE_JOINABLE, when the thread exit without any other thread to join it. It comes to mem leak of the thread resources which are kept allocated.

Version-Release number of selected component (if applicable):
mainline

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
mem leak

Expected results:
mem keep in his state

Additional info:

Comment 1 Nithya Balachandran 2017-09-04 15:30:51 UTC
Plese provide information on where this is seen (code ).

Comment 3 Nithya Balachandran 2018-02-07 16:23:43 UTC
Closing this BZ as I have not heard back on comment#1.


Note You need to log in before you can comment on or make changes to this bug.